All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
diag_matrix.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > | stan::math::diag_matrix (const Eigen::Matrix< T, Eigen::Dynamic, 1 > &v)
| Return a square diagonal matrix with the specified vector of coefficients as the diagonal values. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.